SUSE SLED15 / SLES15セキュリティ更新プログラム:MozillaFirefox(SUSE-SU-2019:3337-1)

high Nessus プラグイン ID 132308

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

MozillaFirefox用のこの更新プログラムでは、次の問題を修正します:

Mozilla Firefoxが68.3esrに更新しました (MFSA 2019-37 bsc#1158328)

修正されたセキュリティ問題:

CVE-2019-17008:worker destructionでのメモリ解放後使用を修正しました(bmo#1546331)

CVE-2019-13722:WebRTCコード内の引数の数が正しくないことによるスタック破損を修正しました(bmo#1580156)

CVE-2019-11745:ブロック暗号で暗号化する際のNSSの境界外書き込みを修正しました(bmo#1586176)

CVE-2019-17009:アップデーターの一時ファイルから権限のないプロセスにアクセスできる問題を修正しました(bmo#1510494)

CVE-2019-17010:デバイスの向きのチェックを実行するときのメモリ解放後使用を修正しました(bmo#1581084)

CVE-2019-17005:プレーンテキストシリアライザーのバッファオーバーフローを修正しました(bmo#1584170)

CVE-2019-17011:アンチトラッキング状態のドキュメントを取得するときのメモリ解放後使用を修正しました(bmo#1591334)

CVE-2019-17012:複数のメモリの問題を修正しました(bmo#1449736、bmo#1533957、bmo#1560667、bmo#1567209、bmo#1580288、bmo#1585760、bmo#1592502)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-3337=1

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 pcpのバージョン。zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-3337=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP1:zypper in
-t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-3337=1

SUSE Linux Enterprise Module for Desktop Applications 15:zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-3337=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1157652

https://bugzilla.suse.com/show_bug.cgi?id=1158328

https://www.suse.com/security/cve/CVE-2019-11745/

https://www.suse.com/security/cve/CVE-2019-13722/

https://www.suse.com/security/cve/CVE-2019-17005/

https://www.suse.com/security/cve/CVE-2019-17008/

https://www.suse.com/security/cve/CVE-2019-17009/

https://www.suse.com/security/cve/CVE-2019-17010/

https://www.suse.com/security/cve/CVE-2019-17011/

https://www.suse.com/security/cve/CVE-2019-17012/

http://www.nessus.org/u?0253c174

プラグインの詳細

深刻度: High

ID: 132308

ファイル名: suse_SU-2019-3337-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/12/19

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2019-17012

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:MozillaFirefox, p-cpe:/a:novell:suse_linux:MozillaFirefox-branding-upstream, p-cpe:/a:novell:suse_linux:MozillaFirefox-buildsymbols, p-cpe:/a:novell:suse_linux:MozillaFirefox-debuginfo, p-cpe:/a:novell:suse_linux:MozillaFirefox-debugsource, p-cpe:/a:novell:suse_linux:MozillaFirefox-devel, p-cpe:/a:novell:suse_linux:MozillaFirefox-translations-common, p-cpe:/a:novell:suse_linux:MozillaFirefox-translations-other, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/12/18

脆弱性公開日: 2020/1/8

参照情報

CVE: CVE-2019-11745, CVE-2019-13722, CVE-2019-17005, CVE-2019-17008, CVE-2019-17009, CVE-2019-17010, CVE-2019-17011, CVE-2019-17012